| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
ExtArgBool Class Reference
Inheritance diagram for ExtArgBool:

## Public Slots
virtual void | setDefaultValue ()
Public Slots inherited from ExtcapArgument
virtual void | setDefaultValue ()
void | onBoolChanged (bool)
void | onIntChanged (int)
void | onStringChanged (QString)

## Public Member Functions
| ExtArgBool (extcap_arg *argument, QObject *parent=Q_NULLPTR)
virtual QWidget * | createLabel (QWidget *parent)
virtual QWidget * | createEditor (QWidget *parent)
virtual QString | call ()
virtual QString | value ()
virtual bool | isValid ()
virtual QString | defaultValue ()
virtual QString | prefValue ()
virtual bool | isSetDefaultValueSupported ()
Public Member Functions inherited from ExtcapArgument
| ExtcapArgument (QObject *parent=Q_NULLPTR)
| ExtcapArgument (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| ExtcapArgument (const ExtcapArgument &obj)
virtual extcap_arg * | argument ()
bool | isDefault ()
bool | isRequired ()
bool | isSufficient ()
bool | reload ()
QString | prefKey (const QString &device_name, const QString &option_name, const QString &option_value)
void | resetValue ()
virtual QString | group () const
virtual int | argNr () const

## Additional Inherited Members
Signals inherited from ExtcapArgument
void | valueChanged ()
Static Public Member Functions inherited from ExtcapArgument
static ExtcapArgument * | create (extcap_arg *argument=Q_NULLPTR, QObject *parent=Q_NULLPTR)
Protected Member Functions inherited from ExtcapArgument
bool | fileExists ()
ExtcapValueList | loadValues (QString parent)
bool | reloadValues ()
Protected Attributes inherited from ExtcapArgument
ExtcapValueList | values
extcap_arg * | _argument
QLabel * | _label
int | _number
const QString | label_style

## Member Function Documentation

## ◆ call()

QString ExtArgBool::call | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ createEditor()

QWidget * ExtArgBool::createEditor | ( | QWidget * | parent | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ createLabel()

QWidget * ExtArgBool::createLabel | ( | QWidget * | parent | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ defaultValue()

QString ExtArgBool::defaultValue | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ isSetDefaultValueSupported()

bool ExtArgBool::isSetDefaultValueSupported | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ isValid()

bool ExtArgBool::isValid | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ prefValue()

QString ExtArgBool::prefValue | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

## ◆ value()

QString ExtArgBool::value | ( |  | ) |
| virtual

Reimplemented from ExtcapArgument.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_argument.h
- /builds/wireshark/wireshark/ui/qt/extcap_argument.cpp